// Mapping: Aufbringen von Bilddateien auf Objekte
// ---------------------------------------------------------------------
// A. Filler, 2006
// ---------------------------------------------------------------------
// WICHTIG: Diese Datei BENOETIGT die Include-Datei vorlage.inc, diese
// -------- muss sich immer in demselben Ordner befinden wie die Arbeitsdatei.
// AUSSERDEM: Um alle in dieser Datei beschriebenen Szenen zu berechnen, mssen
// ---------- sich die Bilddateien (Maps) einstein2.jpg, Gitternetz-Zyl.jpg,
// ---------- Gitternetz-Kugel.jpg und Erde-Map.jpg in demselben Ordner befinden 
// ---------- wie die Arbeitsdatei.
// ---------------------------------------------------------------------
#version 3.5;                  // bentigte POV-Ray-Version
#declare intervall = 1;        // von der Kamera erfasster Bildausschnitt
#declare winkel =  -60 ;      // Winkel der Kamera zur x-Achse (in Grad)
#declare hoehe =   4 ;         // Hhe (relativ) der Kamera ber der x-z-Ebene
#include "vorlage.inc"         // enthlt vordefinierte Objekte und Materialien
background {White}             // Farbe des Hintergrundes
// ---------------------------------------------------------------------

// Koordinatensystem
ks

// Diese Datei enthlt vier Szenen. Kommentieren Sie diejenigen Szenen aus, die
// nicht gerendert werden sollen.     

// 1. EBENES MAPPING
// --------------------------------

box{<0,0,0> <1,1,1>
 texture { pigment  {image_map { jpeg "einstein2.jpg"  map_type 0 } }
   finish { ambient 0.6  diffuse 0.2    }  
   }
 no_shadow
 }

// --------------------------------
// 2. ZYLINDRISCHES  MAPPING
// --------------------------------
/*
cylinder {<0,0,0>, <0,1,0>, 0.5 
 texture { pigment  {image_map { jpeg "gitternetz-zyl.jpg"  map_type 2 }  }
   finish { ambient 0.6  diffuse 0.2    }  
   }
 no_shadow
 }
*/

// --------------------------------
// 3. SPHRISCHES (KUGEL-)  MAPPING
// --------------------------------
/*
sphere {<0,0,0>, 1
 texture {
   pigment  {image_map { jpeg "Gitternetz-Kugel.jpg" map_type 1 } }
   finish { ambient rgb <0.9,0.9,1>  diffuse 1.0    }  
   }
 no_shadow
 }
*/

// --------------------------------           
// 4. ERDE
// --------------------------------
/*
sphere {<0,0,0>, 1
 texture {
   pigment  {image_map { jpeg "Erde-Map.jpg" map_type 1 } }
   finish { ambient rgb <0.9,0.9,1>  diffuse 1.0    }  
   }
 no_shadow
 } 
*/